Package org.firebirdsql.gds.impl

## Class ServiceParameterBufferImp

- java.lang.Object
- - org.firebirdsql.gds.impl.ParameterBufferBase
  - - org.firebirdsql.gds.impl.ServiceParameterBufferImp

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Iterable<Parameter>`, `ConnectionParameterBuffer`, `ParameterBuffer`, `ServiceParameterBuffer`

    public class ServiceParameterBufferImp
    extends ParameterBufferBase
    implements ServiceParameterBuffer

Implementation of ServiceParameterBuffer.

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `ServiceParameterBufferImp.SpbMetaData`

### Field Summary

### Fields inherited from interface org.firebirdsql.gds.ServiceParameterBuffer

`COMMAND_LINE, CONNECT_TIMEOUT, CURRENT_VERSION, DBNAME, DUMMY_PACKET_INTERVAL, OPTIONS, PASSWORD, PASSWORD_ENC, SQL_ROLE_NAME, SYS_USER_NAME, SYS_USER_NAME_ENC, USER_NAME, VERBOSE, VERSION, VERSION1`

### Constructor Summary

Constructors
`ServiceParameterBufferImp​(ServiceParameterBufferImp.SpbMetaData spbMetaData, Encoding defaultEncoding)` Creates an empty service parameter buffer

### Method Summary

All Methods Instance Methods Concrete Methods
`ParameterTagMapping` `getTagMapping()`

### Methods inherited from class org.firebirdsql.gds.impl.ParameterBufferBase

`addArgument, addArgument, addArgument, addArgument, addArgument, addArgument, addArgument, equals, getArgumentAsInt, getArgumentAsString, getArgumentsList, getDefaultEncoding, getLength, getParameterBufferMetaData, getType, hasArgument, hashCode, isEmpty, iterator, removeArgument, size, toBytes, toBytesWithType, toXdrable, writeArgumentsTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.firebirdsql.gds.ConnectionParameterBuffer

`getDefaultEncoding`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Methods inherited from interface org.firebirdsql.gds.ParameterBuffer

`addArgument, addArgument, addArgument, addArgument, addArgument, addArgument, addArgument, getArgumentAsInt, getArgumentAsString, getType, hasArgument, isEmpty, iterator, removeArgument, size, toBytes, toBytesWithType, toXdrable, writeArgumentsTo`

### Constructor Detail

#### ServiceParameterBufferImp

    public ServiceParameterBufferImp​(ServiceParameterBufferImp.SpbMetaData spbMetaData,
                                     Encoding defaultEncoding)

Creates an empty service parameter buffer

### Method Detail

#### getTagMapping

    public ParameterTagMapping getTagMapping()

Specified by:
  `getTagMapping` in interface `ConnectionParameterBuffer`
Returns:
  The tag mapping.